@import "functions";
@import "variables";
@import "variables-dark";

/* customize primary dark */
$primary: #001199;

[data-bs-theme="dark"] {
  --bs-primary: #{$primary};
  --bs-primary-bg-subtle: #{$primary};
  --bs-primary-bg-subtle-dark: #{$primary};
  
  .btn-primary {
    --bs-btn-bg: #{$primary};
  }
}

@media (min-width: 768px) {
  .justify-content-md-between {
    justify-content: space-between !important;
  }
}

@media (max-width:1080px) {
    .grid-col { width: 100% !important; }
}

@media (min-width:1081px) {
    .grid-col { width: 33% !important; }
}

:root {
    --border-color: #495057;
    --border-style: solid;
    --border-width: 1px;
}

a.blue {
    color: blue;
}

a.blue:visited {
    color: darkblue;
}

a.green {
    color: green;
}

a.green:visited {
    color: darkgreen;
}

a.orange {
    color: orange;
}

a.orange:visited {
    color: saddlebrown;
}

a.purple {
    color: purple;
}

a.purple:visited {
    color: darkmagenta;
}

a.red {
    color: red;
}

a.red:visited {
    color: darkred;
}

a.yellow {
    color: gold;
}

a.yellow:visited {
    color: goldenrod;
}

body {
    
}

.align-items-center {
    align-items: center !important;
}

.border-bottom {
    border-bottom: var(--border-width) var(--border-style) var(--border-color) !important
}

.d-flex {
    display: flex !important;
}

.flex-wrap {
    flex-wrap: wrap !important;
}

.mb-4 {
    margin-bottom: 1.5rem !important;
}

.nav li {
    align-self: center;
}

.py-3 {
    padding-top: 1rem !important;
    padding-bottom: 1rem !important;
}
